Bug 105876 - KDE fails to start after applying RHSA-2003-002, RHSA-2003-235 and RHSA-2003-269
KDE fails to start after applying RHSA-2003-002, RHSA-2003-235 and RHSA-2003-269
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdelibs (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-28 17:29 EDT by Phil Holden
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-02 07:08:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Holden 2003-09-28 17:29:21 EDT
Description of problem: 
Installed all KDE packages from RHSA-2003-002, RHSA-2003-235 and 
RHSA-2003-269.  On X login to KDE it reports failure to start 
kdeinit and ksmserver and returns to the X login screen.   
 
Examining .xsession-errors after failure to login shows that 
loading kdeinit and ksmserver both report failure to load 
shared library libqt-mt.so.3.   
  
Version-Release number of selected component (if applicable):  
All KDE components in RHSA-2003-002, RHSA-2003-235 and  
RHSA-2003-269, but the specific problem component seems 
to be kdelibs-3.0.5a-5.i386.rpm 
  
How reproducible:  
Every time you try to login to KDE.   
  
Steps to Reproduce:  
1. Upgrade to KDE packages from RHSA-2003-002,  
   RHSA-2003-235 and RHSA-2003-269,  
2. Login to X-Windows specifying KDE desktop.   
3.  
      
  
Additional info:  
  
Based on guesswork because it was a library load  
failure decided to forcibly revert to  
kdelibs-3.0.3-8.3.i386.rpm from RHSA-2002-220.  This  
breaks dependencies so forcing by 
  rpm -U  --nodeps --force kdelibs-3.0.3-8.3.i386.rpm 
is necessary.   
 
kdelibs-3.0.5a-4.i386.rpm from RHSA-2003-002 shows the  
same problem as kdelibs-3.0.5a-5.i386.rpm.   
 
This allowed KDE to load.  However kppp aborts right 
after establishing a connection, so forcibly reverted 
this as well to kppp-3.0.3-3.2.i386.rpm from  
RHSA-2002-220.   
 
Enough now works to be usable, but I don't know if this  
forced dependency mis-match has broken anything else.   
 
The following qt packages are installed on the system 
    rpm -qa |fgrep qt 
qt-3.0.5-17 
qt-designer-3.0.5-17 
qt2-2.3.1-8 
qt-devel-3.0.5-17 
 
The following messages appear in .xsession-errors.  The ones  
beginning ksplash: and Q are presumably KDE problems.   
 
  ksplash: error while loading shared libraries: libqt-mt.so.3: cannot  
open shared object file: No such file or directory 
  DCOPServer up and running. 
  Mutex destroy failure: Device or resource busy 
  Mutex destroy failure: Device or resource busy 
  mcop warning: user defined signal handler found for SIG_PIPE,  
overriding 
  /bin/sh: -c: line 1: syntax error near unexpected token `then' 
  /bin/sh: -c: line 1: `/bin/bash -c '(ps -u philh -ocomm= | grep  
autorun ) | | if test -f /var/lock/console/\' philh\" -a -x  
/usr/bin/autorun ; then /usr/bin/autorun -l --interval=1000  
--cdplayer=/usr/bin/kscd & fi"' 
  QWidget::setMinimumSize: The smallest allowed size is (0,0) 
  QWidget::setMaximumSize: (unnamed/PlainClock) Negative sizes (52,-4)  
are not possible 
  QWidget::setMinimumSize: The smallest allowed size is (0,0) 
  QWidget::setMaximumSize: (unnamed/QLabel) Negative sizes (49,-4) are  
not possible 
  QWidget::setMinimumSize: The smallest allowed size is (0,0) 
  QWidget::setMaximumSize: (unnamed/PlainClock) Negative sizes (52,-4)  
are not possible 
  QWidget::setMinimumSize: The smallest allowed size is (0,0) 
  QWidget::setMaximumSize: (unnamed/QLabel) Negative sizes (49,-4) are  
not possible 
  QObject::connect: No such slot KWrited::block_in(const char*,int) 
  QObject::connect:  (sender name:   'unnamed') 
  QObject::connect:  (receiver name: 'unnamed') 
 
System upgrade history: 
System was originally RedHat 7.1, upgraded to RedHat 8.0 
plus available patches in Nov 2002.  Further available 
patches including a lot of KDE patches were applied in  
Mar 2003.  The latest available patches were applied  
18 Sep 2003, which introduced this problem.
Comment 1 Ngo Than 2003-09-29 09:18:50 EDT
>ksplash: error while loading shared libraries: libqt-mt.so.3: cannot  
>open shared object file: No such file or directory

could you please check if the file /etc/ld.so.conf contains the line
/usr/lib/qt-3.0.5/lib ?

if not, please add this line in /etc/ld.so.conf and restart
ldconfig as root. it should work again.

Comment 2 Phil Holden 2003-10-01 18:16:01 EDT
>Add /usr/lib/qt-3.0.5/lib to /etc/ld.so.conf and run ldconfig 
 
Yes, this fixed it.  I assume its absence is down to a problem somewhere in a 
KDE package install script.   
Comment 3 Ngo Than 2003-10-02 07:08:11 EDT
it's a problem in qt scriptlet in RHL 7.1, which is fixed in new qt in RHL 8/9 

Note You need to log in before you can comment on or make changes to this bug.